Name:		soundwrapper
Version:	1.7
Release:	%mkrel 2
Summary:	Directs a program's sound output to Pulse, ALSA, aRts or esd
Group:		System/Base
License:	LGPL
URL:		http://svnweb.mageia.org/packages/cauldron/%{name}/current/
Source0:	%{name}-%{version}.tar.bz2

BuildRequires: libpulseaudio-devel 
BuildRequires: libalsa-devel 

%description
When placed before a command to run a program with some audio component,
that program's audio output is redirected to the ALSA sound device or to
the PulseAudio, aRts, or EsounD sound servers if either of them is in control
of the sound device, enabling programs to play sounds at the same time

In Mageia aRts and EsounD support is disabled.


%prep
%setup -q

aclocal
automake --add-missing
autoconf

%build
%configure --disable-arts --disable-esd
%make

%install
%makeinstall

%files
%{_bindir}/soundwrapper


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 382393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 1.7-1.mga2
+ Revision: 204839
- Release 1.7
- link to pthread to fix mga #1085 (use with gdb), noted by Maarten Vanraes
- don't redirect sound when osspd is running, suggested by Colin Guthrie

* Sun Jan 22 2012 kamil <kamil> 1.6-9.mga2
+ Revision: 199392
- disable URL - no valid known (mga#3035)
- note in description that arts and esd is disabled
- clean .spec

* Mon May 09 2011 misc <misc> 1.6-8.mga1
+ Revision: 96675
- add patch to disable esd

* Sun May 01 2011 pterjan <pterjan> 1.6-7.mga1
+ Revision: 94069
- Force linking with pthread so that we are able to use gdb, as found by Maarten

* Tue Feb 22 2011 mikala <mikala> 1.6-6.mga1
+ Revision: 56600
- Remove BuildRoot
- Remove old conflicts
- Remove the kde3 includedir
- imported package soundwrapper

